﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
      <Extensions>cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
      <Extensions>h;hh;hpp;hxx;hm;inl;inc;xsd</Extensions>
    </Filter>
    <Filter Include="Resource Files">
      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav;mfcribbon-ms</Extensions>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="CommonHeaders.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="GarbageCollector.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="GLGlobals.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="json.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Macros.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Object.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="RenderTexture.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Texture.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Texture2D.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Image.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Color.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Visualizer.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Mesh.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="MeshFactory.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Node.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="PositionProtocol.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="RenderableProtocol.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Camera.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Texture3D.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="GPUProgramBase.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="GPURenderProgram.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="GPUProgramCache.h">
      <Filter>Header Files</Filter>
    </ClInclude>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="GarbageCollector.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="GLGlobals.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="json.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Object.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="RenderTexture.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Texture.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Texture2D.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Image.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Image_bmp.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Image_png.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Color.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Visualizer.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Mesh.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="MeshFactory.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Node.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="PositionProtocol.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="RenderableProtocol.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Camera.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Texture3D.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="GPURenderProgram.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="GPUProgramBase.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="GPUProgramCache.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <None Include="TextureCopierShader.inl">
      <Filter>Resource Files</Filter>
    </None>
  </ItemGroup>
</Project>